<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:29 CEST 2014 -->
<title>Uses of Class org.java_websocket.WebSocket.Role</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.java_websocket.WebSocket.Role";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/class-use/WebSocket.Role.html" target="_top">Frames</a></li>
<li><a href="WebSocket.Role.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.java_websocket.WebSocket.Role" class="title">Uses of Class<br>org.java_websocket.WebSocket.Role</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket">org.java_websocket</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket.drafts">org.java_websocket.drafts</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.java_websocket">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a> in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a> declared as <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></code></td>
<td class="colLast"><span class="strong">WebSocketImpl.</span><code><strong><a href="../../../org/java_websocket/WebSocketImpl.html#role">role</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a> that return <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></code></td>
<td class="colLast"><span class="strong">WebSocket.Role.</span><code><strong><a href="../../../org/java_websocket/WebSocket.Role.html#valueOf(java.lang.String)">valueOf</a></strong>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a>[]</code></td>
<td class="colLast"><span class="strong">WebSocket.Role.</span><code><strong><a href="../../../org/java_websocket/WebSocket.Role.html#values()">values</a></strong>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.drafts">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a> in <a href="../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> declared as <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../org/java_websocket/drafts/Draft.html#role">role</a></strong></code>
<div class="block">In some cases the handshake will be parsed different depending on whether</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> that return <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../org/java_websocket/drafts/Draft.html#getRole()">getRole</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> with parameters of type <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.nio.ByteBuffer&gt;</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../org/java_websocket/drafts/Draft.html#createHandshake(org.java_websocket.handshake.Handshakedata,%20org.java_websocket.WebSocket.Role)">createHandshake</a></strong>(<a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a>&nbsp;handshakedata,
               <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a>&nbsp;ownrole)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.nio.ByteBuffer&gt;</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../org/java_websocket/drafts/Draft.html#createHandshake(org.java_websocket.handshake.Handshakedata,%20org.java_websocket.WebSocket.Role,%20boolean)">createHandshake</a></strong>(<a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a>&nbsp;handshakedata,
               <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a>&nbsp;ownrole,
               boolean&nbsp;withcontent)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../org/java_websocket/drafts/Draft.html#setParseMode(org.java_websocket.WebSocket.Role)">setParseMode</a></strong>(<a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a>&nbsp;role)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake">HandshakeBuilder</a></code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../org/java_websocket/drafts/Draft.html#translateHandshakeHttp(java.nio.ByteBuffer,%20org.java_websocket.WebSocket.Role)">translateHandshakeHttp</a></strong>(java.nio.ByteBuffer&nbsp;buf,
                      <a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a>&nbsp;role)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/class-use/WebSocket.Role.html" target="_top">Frames</a></li>
<li><a href="WebSocket.Role.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
